﻿using System.Configuration;

namespace SvnDeploy.Service.Cfg
{
    public class ApplicationElement : ConfigurationElement
    {
        [ConfigurationProperty("name", IsRequired = true)]
        public string Name
        {
            get { return (string)this["name"]; }
            set { this["name"] = value; }
        }

        [ConfigurationProperty("svnPath", IsRequired = true)]
        public string SvnPath
        {
            get { return (string)this["svnPath"]; }
            set { this["svnPath"] = value; }
        }

        [ConfigurationProperty("virtualDirectory", IsRequired = true)]
        public string VirtualDirectory
        {
            get { return (string)this["virtualDirectory"]; }
            set { this["virtualDirectory"] = value; }
        }
    }
}
