﻿using System.Configuration;

namespace SvnDeploy.Service.Cfg
{
    public class AuthenticationElement : ConfigurationElement
    {
        [ConfigurationProperty("domain", IsRequired = false)]
        public string Domain
        {
            get { return (string)this["domain"]; }
            set { this["domain"] = value; }
        }

        [ConfigurationProperty("username", IsRequired = true)]
        public string Username
        {
            get { return (string)this["username"]; }
            set { this["username"] = value; }
        }

        [ConfigurationProperty("password", IsRequired = true)]
        public string Password
        {
            get { return (string)this["password"]; }
            set { this["password"] = value; }
        }
    }
}
