﻿using System.Collections.Generic;
using System.IO;

namespace SvnDeploy.Service
{
    internal interface IFileSystem
    {
        void CreateDirectory(string directory);
        void DeleteFile(string file);
        bool DoesDirectoryExist(string directory);        
        IEnumerable<FileInfo> GetFiles(string directory);
        bool IsDirectoryEmpty(string directory);
    }
}
