﻿using System;
using System.Net;

namespace SvnDeploy.Service
{
    public interface ISvnAdapter : IDisposable
    {
        long Revision { get; }
        bool WasUpdated { get; }

        void CheckOut(Uri uri, string path);
        void Update(string path);
        void SetAuthentication(ICredentials credentials);
    }
}
