﻿using System;
using System.Net;

namespace SvnDeploy.Service
{
    public interface IVirtualDirectoryUpdater : IDisposable
    {
        long Revision { get; }
        bool WasUpdated { get; }

        void CheckOutOrUpdate(string name, string svnPath, string localPath);
        void SetAuthentication(ICredentials credentials);
    }
}
